"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ConfigServiceClient_1 = require("./ConfigServiceClient");
var BatchGetAggregateResourceConfigCommand_1 = require("./commands/BatchGetAggregateResourceConfigCommand");
var BatchGetResourceConfigCommand_1 = require("./commands/BatchGetResourceConfigCommand");
var DeleteAggregationAuthorizationCommand_1 = require("./commands/DeleteAggregationAuthorizationCommand");
var DeleteConfigRuleCommand_1 = require("./commands/DeleteConfigRuleCommand");
var DeleteConfigurationAggregatorCommand_1 = require("./commands/DeleteConfigurationAggregatorCommand");
var DeleteConfigurationRecorderCommand_1 = require("./commands/DeleteConfigurationRecorderCommand");
var DeleteDeliveryChannelCommand_1 = require("./commands/DeleteDeliveryChannelCommand");
var DeleteEvaluationResultsCommand_1 = require("./commands/DeleteEvaluationResultsCommand");
var DeleteOrganizationConfigRuleCommand_1 = require("./commands/DeleteOrganizationConfigRuleCommand");
var DeletePendingAggregationRequestCommand_1 = require("./commands/DeletePendingAggregationRequestCommand");
var DeleteRemediationConfigurationCommand_1 = require("./commands/DeleteRemediationConfigurationCommand");
var DeleteRetentionConfigurationCommand_1 = require("./commands/DeleteRetentionConfigurationCommand");
var DeliverConfigSnapshotCommand_1 = require("./commands/DeliverConfigSnapshotCommand");
var DescribeAggregateComplianceByConfigRulesCommand_1 = require("./commands/DescribeAggregateComplianceByConfigRulesCommand");
var DescribeAggregationAuthorizationsCommand_1 = require("./commands/DescribeAggregationAuthorizationsCommand");
var DescribeComplianceByConfigRuleCommand_1 = require("./commands/DescribeComplianceByConfigRuleCommand");
var DescribeComplianceByResourceCommand_1 = require("./commands/DescribeComplianceByResourceCommand");
var DescribeConfigRuleEvaluationStatusCommand_1 = require("./commands/DescribeConfigRuleEvaluationStatusCommand");
var DescribeConfigRulesCommand_1 = require("./commands/DescribeConfigRulesCommand");
var DescribeConfigurationAggregatorSourcesStatusCommand_1 = require("./commands/DescribeConfigurationAggregatorSourcesStatusCommand");
var DescribeConfigurationAggregatorsCommand_1 = require("./commands/DescribeConfigurationAggregatorsCommand");
var DescribeConfigurationRecorderStatusCommand_1 = require("./commands/DescribeConfigurationRecorderStatusCommand");
var DescribeConfigurationRecordersCommand_1 = require("./commands/DescribeConfigurationRecordersCommand");
var DescribeDeliveryChannelStatusCommand_1 = require("./commands/DescribeDeliveryChannelStatusCommand");
var DescribeDeliveryChannelsCommand_1 = require("./commands/DescribeDeliveryChannelsCommand");
var DescribeOrganizationConfigRuleStatusesCommand_1 = require("./commands/DescribeOrganizationConfigRuleStatusesCommand");
var DescribeOrganizationConfigRulesCommand_1 = require("./commands/DescribeOrganizationConfigRulesCommand");
var DescribePendingAggregationRequestsCommand_1 = require("./commands/DescribePendingAggregationRequestsCommand");
var DescribeRemediationConfigurationsCommand_1 = require("./commands/DescribeRemediationConfigurationsCommand");
var DescribeRemediationExecutionStatusCommand_1 = require("./commands/DescribeRemediationExecutionStatusCommand");
var DescribeRetentionConfigurationsCommand_1 = require("./commands/DescribeRetentionConfigurationsCommand");
var GetAggregateComplianceDetailsByConfigRuleCommand_1 = require("./commands/GetAggregateComplianceDetailsByConfigRuleCommand");
var GetAggregateConfigRuleComplianceSummaryCommand_1 = require("./commands/GetAggregateConfigRuleComplianceSummaryCommand");
var GetAggregateDiscoveredResourceCountsCommand_1 = require("./commands/GetAggregateDiscoveredResourceCountsCommand");
var GetAggregateResourceConfigCommand_1 = require("./commands/GetAggregateResourceConfigCommand");
var GetComplianceDetailsByConfigRuleCommand_1 = require("./commands/GetComplianceDetailsByConfigRuleCommand");
var GetComplianceDetailsByResourceCommand_1 = require("./commands/GetComplianceDetailsByResourceCommand");
var GetComplianceSummaryByConfigRuleCommand_1 = require("./commands/GetComplianceSummaryByConfigRuleCommand");
var GetComplianceSummaryByResourceTypeCommand_1 = require("./commands/GetComplianceSummaryByResourceTypeCommand");
var GetDiscoveredResourceCountsCommand_1 = require("./commands/GetDiscoveredResourceCountsCommand");
var GetOrganizationConfigRuleDetailedStatusCommand_1 = require("./commands/GetOrganizationConfigRuleDetailedStatusCommand");
var GetResourceConfigHistoryCommand_1 = require("./commands/GetResourceConfigHistoryCommand");
var ListAggregateDiscoveredResourcesCommand_1 = require("./commands/ListAggregateDiscoveredResourcesCommand");
var ListDiscoveredResourcesCommand_1 = require("./commands/ListDiscoveredResourcesCommand");
var ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
var PutAggregationAuthorizationCommand_1 = require("./commands/PutAggregationAuthorizationCommand");
var PutConfigRuleCommand_1 = require("./commands/PutConfigRuleCommand");
var PutConfigurationAggregatorCommand_1 = require("./commands/PutConfigurationAggregatorCommand");
var PutConfigurationRecorderCommand_1 = require("./commands/PutConfigurationRecorderCommand");
var PutDeliveryChannelCommand_1 = require("./commands/PutDeliveryChannelCommand");
var PutEvaluationsCommand_1 = require("./commands/PutEvaluationsCommand");
var PutOrganizationConfigRuleCommand_1 = require("./commands/PutOrganizationConfigRuleCommand");
var PutRemediationConfigurationsCommand_1 = require("./commands/PutRemediationConfigurationsCommand");
var PutRetentionConfigurationCommand_1 = require("./commands/PutRetentionConfigurationCommand");
var SelectResourceConfigCommand_1 = require("./commands/SelectResourceConfigCommand");
var StartConfigRulesEvaluationCommand_1 = require("./commands/StartConfigRulesEvaluationCommand");
var StartConfigurationRecorderCommand_1 = require("./commands/StartConfigurationRecorderCommand");
var StartRemediationExecutionCommand_1 = require("./commands/StartRemediationExecutionCommand");
var StopConfigurationRecorderCommand_1 = require("./commands/StopConfigurationRecorderCommand");
var TagResourceCommand_1 = require("./commands/TagResourceCommand");
var UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
var ConfigService = /** @class */ (function (_super) {
    tslib_1.__extends(ConfigService, _super);
    function ConfigService() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ConfigService.prototype.batchGetAggregateResourceConfig = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchGetAggregateResourceConfigCommand_1.BatchGetAggregateResourceConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.batchGetResourceConfig = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchGetResourceConfigCommand_1.BatchGetResourceConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.deleteAggregationAuthorization = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteAggregationAuthorizationCommand_1.DeleteAggregationAuthorizationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.deleteConfigRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteConfigRuleCommand_1.DeleteConfigRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.deleteConfigurationAggregator = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteConfigurationAggregatorCommand_1.DeleteConfigurationAggregatorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.deleteConfigurationRecorder = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteConfigurationRecorderCommand_1.DeleteConfigurationRecorderCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.deleteDeliveryChannel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDeliveryChannelCommand_1.DeleteDeliveryChannelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.deleteEvaluationResults = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteEvaluationResultsCommand_1.DeleteEvaluationResultsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.deleteOrganizationConfigRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteOrganizationConfigRuleCommand_1.DeleteOrganizationConfigRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.deletePendingAggregationRequest = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeletePendingAggregationRequestCommand_1.DeletePendingAggregationRequestCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.deleteRemediationConfiguration = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteRemediationConfigurationCommand_1.DeleteRemediationConfigurationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.deleteRetentionConfiguration = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteRetentionConfigurationCommand_1.DeleteRetentionConfigurationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.deliverConfigSnapshot = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeliverConfigSnapshotCommand_1.DeliverConfigSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.describeAggregateComplianceByConfigRules = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeAggregateComplianceByConfigRulesCommand_1.DescribeAggregateComplianceByConfigRulesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.describeAggregationAuthorizations = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeAggregationAuthorizationsCommand_1.DescribeAggregationAuthorizationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.describeComplianceByConfigRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeComplianceByConfigRuleCommand_1.DescribeComplianceByConfigRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.describeComplianceByResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeComplianceByResourceCommand_1.DescribeComplianceByResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.describeConfigRuleEvaluationStatus = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeConfigRuleEvaluationStatusCommand_1.DescribeConfigRuleEvaluationStatusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.describeConfigRules = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeConfigRulesCommand_1.DescribeConfigRulesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.describeConfigurationAggregatorSourcesStatus = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeConfigurationAggregatorSourcesStatusCommand_1.DescribeConfigurationAggregatorSourcesStatusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.describeConfigurationAggregators = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeConfigurationAggregatorsCommand_1.DescribeConfigurationAggregatorsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.describeConfigurationRecorderStatus = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeConfigurationRecorderStatusCommand_1.DescribeConfigurationRecorderStatusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.describeConfigurationRecorders = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeConfigurationRecordersCommand_1.DescribeConfigurationRecordersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.describeDeliveryChannelStatus = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDeliveryChannelStatusCommand_1.DescribeDeliveryChannelStatusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.describeDeliveryChannels = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDeliveryChannelsCommand_1.DescribeDeliveryChannelsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.describeOrganizationConfigRuleStatuses = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeOrganizationConfigRuleStatusesCommand_1.DescribeOrganizationConfigRuleStatusesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.describeOrganizationConfigRules = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeOrganizationConfigRulesCommand_1.DescribeOrganizationConfigRulesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.describePendingAggregationRequests = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribePendingAggregationRequestsCommand_1.DescribePendingAggregationRequestsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.describeRemediationConfigurations = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeRemediationConfigurationsCommand_1.DescribeRemediationConfigurationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.describeRemediationExecutionStatus = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeRemediationExecutionStatusCommand_1.DescribeRemediationExecutionStatusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.describeRetentionConfigurations = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeRetentionConfigurationsCommand_1.DescribeRetentionConfigurationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.getAggregateComplianceDetailsByConfigRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetAggregateComplianceDetailsByConfigRuleCommand_1.GetAggregateComplianceDetailsByConfigRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.getAggregateConfigRuleComplianceSummary = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetAggregateConfigRuleComplianceSummaryCommand_1.GetAggregateConfigRuleComplianceSummaryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.getAggregateDiscoveredResourceCounts = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetAggregateDiscoveredResourceCountsCommand_1.GetAggregateDiscoveredResourceCountsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.getAggregateResourceConfig = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetAggregateResourceConfigCommand_1.GetAggregateResourceConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.getComplianceDetailsByConfigRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetComplianceDetailsByConfigRuleCommand_1.GetComplianceDetailsByConfigRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.getComplianceDetailsByResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetComplianceDetailsByResourceCommand_1.GetComplianceDetailsByResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.getComplianceSummaryByConfigRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetComplianceSummaryByConfigRuleCommand_1.GetComplianceSummaryByConfigRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.getComplianceSummaryByResourceType = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetComplianceSummaryByResourceTypeCommand_1.GetComplianceSummaryByResourceTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.getDiscoveredResourceCounts = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDiscoveredResourceCountsCommand_1.GetDiscoveredResourceCountsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.getOrganizationConfigRuleDetailedStatus = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetOrganizationConfigRuleDetailedStatusCommand_1.GetOrganizationConfigRuleDetailedStatusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.getResourceConfigHistory = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetResourceConfigHistoryCommand_1.GetResourceConfigHistoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.listAggregateDiscoveredResources = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListAggregateDiscoveredResourcesCommand_1.ListAggregateDiscoveredResourcesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.listDiscoveredResources = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListDiscoveredResourcesCommand_1.ListDiscoveredResourcesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.listTagsForResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.putAggregationAuthorization = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutAggregationAuthorizationCommand_1.PutAggregationAuthorizationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.putConfigRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutConfigRuleCommand_1.PutConfigRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.putConfigurationAggregator = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutConfigurationAggregatorCommand_1.PutConfigurationAggregatorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.putConfigurationRecorder = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutConfigurationRecorderCommand_1.PutConfigurationRecorderCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.putDeliveryChannel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutDeliveryChannelCommand_1.PutDeliveryChannelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.putEvaluations = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutEvaluationsCommand_1.PutEvaluationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.putOrganizationConfigRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutOrganizationConfigRuleCommand_1.PutOrganizationConfigRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.putRemediationConfigurations = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutRemediationConfigurationsCommand_1.PutRemediationConfigurationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.putRetentionConfiguration = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutRetentionConfigurationCommand_1.PutRetentionConfigurationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.selectResourceConfig = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SelectResourceConfigCommand_1.SelectResourceConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.startConfigRulesEvaluation = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartConfigRulesEvaluationCommand_1.StartConfigRulesEvaluationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.startConfigurationRecorder = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartConfigurationRecorderCommand_1.StartConfigurationRecorderCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.startRemediationExecution = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartRemediationExecutionCommand_1.StartRemediationExecutionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.stopConfigurationRecorder = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StopConfigurationRecorderCommand_1.StopConfigurationRecorderCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.tagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ConfigService.prototype.untagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return ConfigService;
}(ConfigServiceClient_1.ConfigServiceClient));
exports.ConfigService = ConfigService;
//# sourceMappingURL=ConfigService.js.map