"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchGetResourceConfig_1 = require("../model/operations/BatchGetResourceConfig");
var BatchGetResourceConfigCommand = /** @class */ (function () {
    function BatchGetResourceConfigCommand(input) {
        this.input = input;
        this.model = BatchGetResourceConfig_1.BatchGetResourceConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchGetResourceConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchGetResourceConfigCommand;
}());
exports.BatchGetResourceConfigCommand = BatchGetResourceConfigCommand;
//# sourceMappingURL=BatchGetResourceConfigCommand.js.map