"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteConfigRule_1 = require("../model/operations/DeleteConfigRule");
var DeleteConfigRuleCommand = /** @class */ (function () {
    function DeleteConfigRuleCommand(input) {
        this.input = input;
        this.model = DeleteConfigRule_1.DeleteConfigRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteConfigRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteConfigRuleCommand;
}());
exports.DeleteConfigRuleCommand = DeleteConfigRuleCommand;
//# sourceMappingURL=DeleteConfigRuleCommand.js.map