"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeRetentionConfigurations_1 = require("../model/operations/DescribeRetentionConfigurations");
var DescribeRetentionConfigurationsCommand = /** @class */ (function () {
    function DescribeRetentionConfigurationsCommand(input) {
        this.input = input;
        this.model = DescribeRetentionConfigurations_1.DescribeRetentionConfigurations;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeRetentionConfigurationsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeRetentionConfigurationsCommand;
}());
exports.DescribeRetentionConfigurationsCommand = DescribeRetentionConfigurationsCommand;
//# sourceMappingURL=DescribeRetentionConfigurationsCommand.js.map