"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListDiscoveredResources_1 = require("../model/operations/ListDiscoveredResources");
var ListDiscoveredResourcesCommand = /** @class */ (function () {
    function ListDiscoveredResourcesCommand(input) {
        this.input = input;
        this.model = ListDiscoveredResources_1.ListDiscoveredResources;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListDiscoveredResourcesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListDiscoveredResourcesCommand;
}());
exports.ListDiscoveredResourcesCommand = ListDiscoveredResourcesCommand;
//# sourceMappingURL=ListDiscoveredResourcesCommand.js.map