"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutRemediationConfigurations_1 = require("../model/operations/PutRemediationConfigurations");
var PutRemediationConfigurationsCommand = /** @class */ (function () {
    function PutRemediationConfigurationsCommand(input) {
        this.input = input;
        this.model = PutRemediationConfigurations_1.PutRemediationConfigurations;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutRemediationConfigurationsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutRemediationConfigurationsCommand;
}());
exports.PutRemediationConfigurationsCommand = PutRemediationConfigurationsCommand;
//# sourceMappingURL=PutRemediationConfigurationsCommand.js.map