"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutConfigurationRecorderInput_1 = require("../shapes/PutConfigurationRecorderInput");
var PutConfigurationRecorderOutput_1 = require("../shapes/PutConfigurationRecorderOutput");
var MaxNumberOfConfigurationRecordersExceededException_1 = require("../shapes/MaxNumberOfConfigurationRecordersExceededException");
var InvalidConfigurationRecorderNameException_1 = require("../shapes/InvalidConfigurationRecorderNameException");
var InvalidRoleException_1 = require("../shapes/InvalidRoleException");
var InvalidRecordingGroupException_1 = require("../shapes/InvalidRecordingGroupException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutConfigurationRecorder = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutConfigurationRecorder",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutConfigurationRecorderInput_1.PutConfigurationRecorderInput
    },
    output: {
        shape: PutConfigurationRecorderOutput_1.PutConfigurationRecorderOutput
    },
    errors: [
        {
            shape: MaxNumberOfConfigurationRecordersExceededException_1.MaxNumberOfConfigurationRecordersExceededException
        },
        {
            shape: InvalidConfigurationRecorderNameException_1.InvalidConfigurationRecorderNameException
        },
        {
            shape: InvalidRoleException_1.InvalidRoleException
        },
        {
            shape: InvalidRecordingGroupException_1.InvalidRecordingGroupException
        }
    ]
};
//# sourceMappingURL=PutConfigurationRecorder.js.map