"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StartRemediationExecutionInput_1 = require("../shapes/StartRemediationExecutionInput");
var StartRemediationExecutionOutput_1 = require("../shapes/StartRemediationExecutionOutput");
var InsufficientPermissionsException_1 = require("../shapes/InsufficientPermissionsException");
var NoSuchRemediationConfigurationException_1 = require("../shapes/NoSuchRemediationConfigurationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartRemediationExecution = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartRemediationExecution",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StartRemediationExecutionInput_1.StartRemediationExecutionInput
    },
    output: {
        shape: StartRemediationExecutionOutput_1.StartRemediationExecutionOutput
    },
    errors: [
        {
            shape: InsufficientPermissionsException_1.InsufficientPermissionsException
        },
        {
            shape: NoSuchRemediationConfigurationException_1.NoSuchRemediationConfigurationException
        }
    ]
};
//# sourceMappingURL=StartRemediationExecution.js.map